Show / Hide Table of Contents

# Class Location

##### Inheritance

System.Object
Location

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class Location

### Properties

| Improve this Doc View Source

#### Range

Gets or sets the Range indicating the range in which location refers.

##### Declaration

    public Range Range { get; set; }

##### Property Value

Type | Description
--- | ---
Range |

| Improve this Doc View Source

#### Uri

Gets or sets the URI indicating the file in which the location refers.

##### Declaration

    public string Uri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |